\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{ecn}[2008/08/08 v1.0 libreslivres]

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}
\ProcessOptions

\LoadClass{book}
\RequirePackage[T1]{fontenc}
\RequirePackage[latin1]{inputenc}
\RequirePackage{graphicx}
\RequirePackage{xcolor}
\RequirePackage{fancyhdr}
\RequirePackage{amsmath}
\RequirePackage{amssymb}
\RequirePackage{amsfonts}
\RequirePackage{subfigure}
\RequirePackage{psfrag}
\RequirePackage{array}
\RequirePackage{eso-pic}
\RequirePackage{pst-all}
\RequirePackage{pst-solides3d}
\RequirePackage{pst-tree}
\RequirePackage{pstricks-add}
\RequirePackage[frenchb]{babel}
\frenchbsetup{IndentFirst=false}
\addto\captionsfrench{\def\figurename{Figure}}
\addto\captionsfrench{\def\tablename{Tableau}}
\RequirePackage[small,hang]{caption}

% dfinition du d romain de drivation
\newcommand{\ud}{\mathrm{d}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% dfinition de l'entte des chapitres
\def\@makechapterhead#1{%
{\centering
\rput[c](0,0.5){%
\pscircle[fillstyle=solid,fillcolor=bleu!21,linecolor=bleu!21,framesep=125pt](0,0){6}%
\rput[c](0,-0.75){\scalebox{15}{\textcolor{bleu}{\thechapter}}}%
\pstextpath[c]{\psarc[linestyle=none](0,0){5.5}{110}{70}}{\color{bleu}\Huge\bfseries\sffamily\textsc{#1}}}%
\par\nobreak%
\vspace{200pt}%
}%
}%

% dfinition de l'entte des chapitres toils
\def\@makeschapterhead#1{%
\centering%
\rput[c](0,4){%
\pscircle[fillstyle=solid,fillcolor=bleu!21,linecolor=bleu!21,framesep=125pt](0,0){6}%
\pstextpath[c]{\psarc[linestyle=none](0,0){5.5}{110}{70}}{\color{bleu}\Huge\bfseries\sffamily\textsc{#1}}}%
\par\nobreak%
\vspace{150pt}%
}%

% dfinition de l'entte de la table des matires
\renewcommand{\tableofcontents}{%
\thispagestyle{empty}%
\rput[c](6.5,4){%
\pscircle[fillstyle=solid,fillcolor=bleu!21,linecolor=bleu!21,framesep=125pt](0,0){6}%
\pstextpath[c]{\psarc[linestyle=none](0,0){5.5}{110}{70}}{\Huge\bfseries\sffamily\color{bleu}\textsc{Table des matires}}}
\par\nobreak%
\addcontentsline{toc}{chapter}{Table des matires}
\markboth{\normalfont\normalsize\sffamily\textsc{\textcolor{bleu}{Table des matires}}}{}%%
\vspace*{4cm}%
\pagestyle{fancy}%
\@starttoc{toc}%
}%

% paramtres de la table des matires
\setcounter{tocdepth}{2}
\setcounter{secnumdepth}{2}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% fancyhdr parameters
\newlength\debordementdroit\setlength\debordementdroit{0pt}
\newlength\debordementgauche\setlength\debordementgauche{30pt}
\pagestyle{fancy}
\fancyheadoffset{\debordementdroit}
\fancyfootoffset{\debordementdroit}
\renewcommand{\chaptermark}[1]{\markboth{\normalfont\normalsize\sffamily\textsc{\textcolor{bleu}{\thechapter.\ #1}}}{}}
\renewcommand{\sectionmark}[1]{\markright{\normalfont\normalsize\sffamily\thesection\hspace{2pt} #1}{}}
\fancyhf{} \fancyhead[LE,RO]{\normalfont\normalsize\textcolor{bleu}{\thepage}}
\fancyhead[LO]{\rightmark}
\fancyhead[RE]{\leftmark}
\renewcommand{\headrulewidth}{0.5pt}
\addtolength{\headheight}{0.5pt}
\renewcommand{\footrulewidth}{0pt}
\fancypagestyle{plain}{
\fancyhead{}
\renewcommand{\headrulewidth}{0pt}}
\renewcommand{\cleardoublepage}{%
\clearpage\ifodd\c@page\else
\hbox{}
\vspace*{\fill}
\thispagestyle{empty}% <--
\newpage
\fi} 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% dfinition de l'apparence des sections et sous-sections
\renewcommand{\@seccntformat}[1]{\llap{\textcolor{bleu}{\csname the#1\endcsname}\hspace{0.5em}}}
                                      
\renewcommand{\section}{\@startsection{section}{1}{\z@}
                       {-3.5ex \@plus -1ex \@minus -.4ex}%
                       {1ex \@plus.2ex}%
                       {\normalfont\Large\sffamily\bfseries}}
\renewcommand{\subsection}{\@startsection{subsection}{2}{\z@}
                          {-3.25ex \@plus -0.5ex \@minus -.4ex}%
                          {0.5ex \@plus.2ex}%
                          {\normalfont\large\sffamily\bfseries}}
\renewcommand{\subsubsection}{\@startsection {subsubsection}{3}{\z@}
                          {-3.35ex \@plus -0.5ex \@minus -.4ex}%
                          {0.2ex \@plus.2ex}%
                          {\normalfont\normalsize\sffamily\bfseries}}
\renewcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {3.25ex \@plus1ex \@minus.2ex}%
                                    {-1em}%
                                    {\normalfont\normalsize\sffamily\bfseries}}
\renewcommand\subparagraph{\@startsection{subparagraph}{5}{\z@}%
                                       {-2ex \@plus-.1ex \@minus .2ex}%
                                       {0.1ex}%
                                      {\normalfont\normalsize\sffamily\bfseries}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% dfinition du comportement des guillemets
\catcode`\=\active \catcode`\=\active
\def{\og\ignorespaces}
\def{\fg}
